Re: [Patches] Enhancement of test/check building

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Dne út 24. ledna 2017 Fat-Zer napsal(a):
> 2017-01-22 5:16 GMT+03:00 Slávek Banko <slavek.banko@xxxxxxx>:
> > On Wednesday 21 of December 2016 00:19:58 Fat-Zer wrote:
> > In short: great, good work!
> >
> > Long: I have some problems with tests in tdelibs.
> >
> > 1) On Debian/Ubuntu is used WITH_GCC_VISIBILITY and tests
> > tdewallet/backend/testbf and testsha causes FTBFS - see patch
> > bp0016-fix-tdewallet-tests-with-hidden-visibility.diff
> >
> > 2) In dcop/tests/run-tests.sh is used "source ./shell.generated..."
> > where "source" is a bash specific => test may fail with other shells
> > (dash on Debian/Ubuntu). Fixed in bp0017-fix-dcop-test-bashism.diff
> >
> > 3) Test tdeio/kmimetypetest expects mimetype definitions in tdesycoca
> > cache => fails if it is done prior to installation. Proposed patch
> > bp0018-fix-tdeio-kmimetype-test.diff contains a workaround for the
> > test during the compilation on a clean build environment.
> >
> > 4) Test tdeabc/vcardparser/testread2 fail, probably because of some
> > erroneous utf8 conversion. For now I've had not examined it in detail
> > == patch not included.
> >
> > 5) Test tdeabc/testldapclient expects dcop server, tdelauncher and
> > access to a foreign ldap server on the Internet => fails if it is
> > done prior to installation and depends on many factors which can not
> > be influenced. Therefore, I suggest not to perform this test during
> > compilation - see patch bp0019-fix-tdeabc-ldapclient-test.diff
>
> Slavek, thanks  for reviewing and debugging all the errors.
>
> I agree with and approve 4 patches out of 5: all except
> bp0018-fix-tdeio-kmimetype-test.diff.
>
> IMO the script is potentially error-prone, e.g. it may slightly break
> some-ones installation if .trinity/share/mimelnk is already a symlink.
> And in general it's quite kludgy workround... All in all I would
> prefer just to disable the test instead of fixing it that way...
>
> Should I push the patches to the repository? or are you going to merge
> the patches soon?
>

I updated patch bp0018-fix-tdeio-kmimetype-test.diff so that the test is 
performed with a specific profile. It is acceptable?

I suppose I will push patches soon.

Cheers
-- 
Slávek
Index: b/tdeio/tests/CMakeLists.txt
===================================================================
--- a/tdeio/tests/CMakeLists.txt
+++ b/tdeio/tests/CMakeLists.txt
@@ -53,6 +53,7 @@
   kmimemagictest kpropsdlgtest kprotocolinfotest kruntest kscantest kshredtest
   ktartest kurifiltertest kurlcompletiontest kziptest metatest netaccesstest
   previewtest speed tdeioslavetest tdesycocatest tdesycocaupdatetest
+  kmimetypetest
 )
 
 foreach( _check ${CHECKS} )
@@ -67,10 +68,18 @@
 #  - kurifiltertest requires network access and GUI
 #  - tdesycocatest requires installed tdebase and GUI
 
-set( TESTS dataprotocoltest kacltest kmimetypetest )
+set( TESTS dataprotocoltest kacltest )
 
 foreach( _check ${TESTS} )
     tde_add_check_executable( ${_check} AUTOMOC LINK tdeio-shared TEST)
 endforeach( )
 
+
+configure_file( kmimetypetest.sh.cmake kmimetypetest.sh @ONLY )
+
+add_test( NAME "tdeio/kmimetypetest"
+    COMMAND sh -x "${CMAKE_CURRENT_BINARY_DIR}/kmimetypetest.sh"
+    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}" )
+
+
 # TODO add kdirwatchunittest
Index: b/tdeio/tests/kmimetypetest.sh.cmake
===================================================================
--- /dev/null
+++ b/tdeio/tests/kmimetypetest.sh.cmake
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# create profile for test
+TDEHOME=@CMAKE_CURRENT_BINARY_DIR@/profile
+mkdir $TDEHOME $TDEHOME/share
+ln -s @CMAKE_SOURCE_DIR@/mimetypes $TDEHOME/share/mimelnk
+export TDEHOME
+
+# run dcop server
+../../dcop/dcopserver --nofork &
+DCOP_SERVER_PID=$!
+
+# update tdesycoca using mime types from source
+../../kded/tdebuildsycoca --noincremental --nosignal
+
+# perform test
+./kmimetypetest
+STATE=$?
+
+# cleanup
+kill $DCOP_SERVER_PID
+rm -fr $TDEHOME
+exit $STATE

---------------------------------------------------------------------
To unsubscribe, e-mail: trinity-devel-unsubscribe@xxxxxxxxxxxxxxxxxxxxxxxxxx
For additional commands, e-mail: trinity-devel-help@xxxxxxxxxxxxxxxxxxxxxxxxxx
Read list messages on the web archive: http://trinity-devel.pearsoncomputing.net/
Please remember not to top-post: http://trinity.pearsoncomputing.net/mailing_lists/#top-posting

[Index of Archives]     [Trinity Users]     [Linux Sound]     [ALSA Users]     [ALSA Devel]     [Linux Audio Users]     [Linux Media]     [KDE]     [Kernel]     [Gimp]     [Yosemite News]     [Linux Media]     [Trinity Desktop Environment]

  Powered by Linux